org.keycloak.jaxrs

## Class JaxrsBearerTokenFilter

- java.lang.Object
- - org.keycloak.jaxrs.JaxrsBearerTokenFilter

- All Implemented Interfaces:
    javax.ws.rs.container.ContainerRequestFilter

      public class JaxrsBearerTokenFilter
      extends Object
      implements javax.ws.rs.container.ContainerRequestFilter

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `realm`
    `protected PublicKey` | `realmPublicKey`
    `protected String` | `resourceName`
    `protected javax.ws.rs.core.SecurityContext` | `securityContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaxrsBearerTokenFilter(String realm, PublicKey realmPublicKey, String resourceName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `challengeResponse(javax.ws.rs.container.ContainerRequestContext request, String error, String description)`
    `void` | `filter(javax.ws.rs.container.ContainerRequestContext request)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### realm

          protected String realm

    - #### realmPublicKey

          protected PublicKey realmPublicKey

    - #### resourceName

          protected String resourceName

    - #### securityContext

          @Context
          protected javax.ws.rs.core.SecurityContext securityContext

  - ### Constructor Detail

    - #### JaxrsBearerTokenFilter

          public JaxrsBearerTokenFilter(String realm,
                                PublicKey realmPublicKey,
                                String resourceName)

  - ### Method Detail

    - #### challengeResponse

          protected void challengeResponse(javax.ws.rs.container.ContainerRequestContext request,
                               String error,
                               String description)

    - #### filter

          public void filter(javax.ws.rs.container.ContainerRequestContext request)
                      throws IOException

      Specified by:
        `filter` in interface `javax.ws.rs.container.ContainerRequestFilter`
      Throws:
        `IOException`

Copyright © 2014. All Rights Reserved.